## org.apache.myfaces.renderkit.html
Class HtmlLabelRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLabelRenderer

public class HtmlLabelRenderer
extends HtmlRenderer

Version:
  $Revision: 290080 $ $Date: 2005-09-19 03:33:13 -0400 (Mon, 19 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: baranda $), Anton Koinov, Martin Marinschek

Constructor Summary
`HtmlLabelRenderer()`

Method Summary
`protected void` `encodeAfter(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent)`
`protected void` `encodeAfterStart(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent)`
`protected void` `encodeBefore(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent)`
`protected void` `encodeBeforeEnd(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent)`
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected java.lang.String` `getFor(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlLabelRenderer

    public HtmlLabelRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeAfterStart

    protected void encodeAfterStart(javax.faces.context.FacesContext facesContext,
                                    javax.faces.context.ResponseWriter writer,
                                    javax.faces.component.UIComponent uiComponent)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBefore

    protected void encodeBefore(javax.faces.context.FacesContext facesContext,
                                javax.faces.context.ResponseWriter writer,
                                javax.faces.component.UIComponent uiComponent)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFor

    protected java.lang.String getFor(javax.faces.component.UIComponent component)

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBeforeEnd

    protected void encodeBeforeEnd(javax.faces.context.FacesContext facesContext,
                                   javax.faces.context.ResponseWriter writer,
                                   javax.faces.component.UIComponent uiComponent)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeAfter

    protected void encodeAfter(javax.faces.context.FacesContext facesContext,
                               javax.faces.context.ResponseWriter writer,
                               javax.faces.component.UIComponent uiComponent)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`